none
Bases de datos se ejecutan en el intervalo de compatibilidad.... RRS feed

  • Pregunta

  • Hola, tengo un sharepoint server 2010 en el cual tengo el siguiente problema: "Las bases de datos se ejecutan en el intervalo de compatibilidad. Se recomienda actualizar". Bueno para esto se pide ejecutar desde PowerShell de SP. Al ejecutar el comando Upgrade-SPContentDatabase [nombre_base_Datos] me arroja un error del mismo comando. (En nombre_base_Datos pongo un nombre que Sharepoint me arroja en el mensaje de Warning).

    Bueno necesito por favor actualizar la version de las bases de datos que me lista en el mensaje original de Sharepoint.

    Esperando vuestra ayuda, Gracias.

     

     

    lunes, 22 de agosto de 2011 16:24

Respuestas

Todas las respuestas

  • Hola Oscar,

    ¿Cuándo te está dando este problema? Este comando tienes que ejecutarlo si la BD de contenidos tiene algún tipo de error...¿tienes algún problema de acceso a los sitios que están definidos en dicha BD?

    SAludos


    ------------------------------------------------------------
    Juan Carlos González Martín MVP de SharePoint Server
    Director revista CompartiMOSS: http://www.gavd.net/servers/compartimoss/compartimoss_main.aspx
    Blog: http://geeks.ms/blogs/ciin
    Twitter: @jcgm1978
    ------------------------------------------------------------
    lunes, 22 de agosto de 2011 17:56
  • Hola, disculpa la tardanza en responder...

    Mira este es el error que manda:"Las siguientes bases de datos deben actualizarse porque su versión es anterior al intervalo de compatibilidad con versiones anteriores:
    WSS_Search_pcur47", esta base es la de Busqueda. Mi problema es activa la busqueda de Sharepoint y entre los Warning esta el mensaje anteriormente descrito.

     

     

     

    lunes, 22 de agosto de 2011 18:04
  • Hola,

    ¿Has realizado alguna actualización de tu instalación de SharePoint ya sea mediante una cumulative update o un hotfix? ¿has aplicado el SP1? ¿Te han funcionado alguna vez las búsquedas? ¿Cómo has intentado configurarlas?

    Saludos


    ------------------------------------------------------------
    Juan Carlos González Martín MVP de SharePoint Server
    Director revista CompartiMOSS: http://www.gavd.net/servers/compartimoss/compartimoss_main.aspx
    Blog: http://geeks.ms/blogs/ciin
    Twitter: @jcgm1978
    ------------------------------------------------------------
    lunes, 22 de agosto de 2011 18:42
  • Master...

    instale SP1, en cuanto a las busquedas recien ahora las estoy configurando, por ende nunca se han ejecutado.. Quiero actualizar la compatibilidad de las bases para descartar que este sea el problema para el inicio de las busqeudas....

    lunes, 22 de agosto de 2011 18:45
  • Hola,

    Si has aplicaco el SP1 a todos los servidores de la granja, no creo que el warning que estás teniendo sea el causante de que las búsquedas no te estén arrojando resultados. Para configurarla de forma correcta dale una mirada a los siguientes enlaces:

    Saludos


    ------------------------------------------------------------
    Juan Carlos González Martín MVP de SharePoint Server
    Director revista CompartiMOSS: http://www.gavd.net/servers/compartimoss/compartimoss_main.aspx
    Blog: http://geeks.ms/blogs/ciin
    Twitter: @jcgm1978
    ------------------------------------------------------------
    • Propuesto como respuesta Ismael Borche viernes, 26 de agosto de 2011 18:09
    • Marcado como respuesta Ismael Borche lunes, 5 de septiembre de 2011 20:48
    lunes, 22 de agosto de 2011 20:17
  • ok. muchas gracias intentare siguiendo el pasoa paso para ver que sucede.....!!!
    lunes, 22 de agosto de 2011 22:48
  • Revise la docuemntacion y es me ayudoa  complementar mi configuracion, ahora te cuento que funciono, pero al reiniciar el Server me arroja el siguiente problema: "Las siguientes bases deben actualizarse porque su version es anterior al intervalo de compatibilidad con versiones anteriores: WSS_SEARCH". Ahora no funciona la busqueda.

    Vuelvo al inicio de mi teoria, sabes como puedo actualizar esta base a un version compatible. (tengo SQL Server 2008 R2, y desconozco porque tiene problemas...)

    De ante mano gracias.

     

    martes, 23 de agosto de 2011 14:05
  • Buenos días, 

    Sé que puede ser algo tarde, pero tenía el mismo problema y estuve leyendo este post antes de solucionarlo. Yo lo he solucionado finalmente con la propia ayuda del reporte de la administración de SharePoint.

    Por línea de comandos desde la consola de SharePoint:

    - Primero actualicé la base de datos de contenido: "Upgrade-SPContentDatabase" (una vez ejecutado pones el nombre de la base de datos de contenido, WSS_Content creo recordar).

    - Segundo actualizas el resto de bases de datos con: "psconfig.exe -cmd upgrade".

    - Tercero, configuras automáticamente SharePoint con: "psconfig.exe -cmd setup".

    Puedes ver la ayuda del comando psconfig.exe antes de ejecutar esos pasos para que veas otras opciones de las que dispone. Realizando estos tres pasos que van de forma automática una vez introducidos los comandos, me funcionó la búsqueda de nuevo.

    Espero que os sea útil, ya que yo iba a instalar el search server express y configurarlo después, pero me parecía muy tedioso para algo que ya estaba funcionando en mi SharePoint 2010 Foundation.

    Un saludo,

    Jose

    • Propuesto como respuesta Roger Ospina domingo, 15 de diciembre de 2013 15:11
    miércoles, 21 de septiembre de 2011 8:45
  • Amigo muchas gracias, yo necesitaba actualizas mis bases de datos y me funciono full.
    domingo, 15 de diciembre de 2013 15:12